Subject: Re: [alsa-devel] [PATCH v2 1/3] ALSA SoC: Add OpenFirmware helper for matching bus and codec drivers

From: Grant Likely <[email-masked]>
Date: Mon, 14 Jul 2008 16:28:08 -0600

On Mon, Jul 14, 2008 at 01:40:24PM -0500, Timur Tabi wrote:
> Mark Brown wrote:
> 
> > Desktop Management Interface, a standard BIOS interface for getting
> > system data on x86 class hardware.  Of particular interest here is the
> > fact that it contains various ID strings for things like motherboard and
> > chassis - on Linux drivers can be automatically loaded based on these
> > strings.  See drivers/misc/thinkpad_acpi.c for an example of a driver
> > that does this.
> 
> The only problem with this is that the OF probing code in the kernel binds
> drivers to device tree nodes.  So when a driver claims a node, no other driver
> will be probed with it.

Yes, but that is only for the of_platform bus which is just one way to
setup device drivers from the device tree.  Setting it up from the
platform code is just as valid an option.  Or, each ASoC machine driver could
read the device tree itself in the module_init hook to decide whether or not
to instantiate itself.

Cheers,
g.